## FindJob

This project aim to help college student to find a suitable job.

we use `SpringBoot` to write the back-end, and use `React` to write front-end.

## Enjoy it

[Latest Build](https://page-job.ourfor.top), which host on github page.
[Stable Edition](https://job.ourfor.top), which use cdn to accelerate visit.

## Deploy

We use docker to deploy our application, you need to install docker in your machine and then run the following command:

```docker
docker pull ourfor/findjob:latest
docker run --privileged --name findjob -d \
-v /sys/fs/cgroup:/sys/fs/cgroup:ro \
-v $PWD:/root:rw \
-h ip.ourfor.sh -h job.ourfor.sh \
-p 80:80 \
-t ourfor/findjob:latest
```
the one more thing that you need to do is add `ip.ourfor.sh` and `job.ourfor.sh` to your system hosts, and both of them point to `127.0.0.1`.


> Because of using systemd to manage daemon, this container works only **unix like system**, such as `linux` and `macOS` etc.

## Wiki


## Credit
